Changing Java versions

Minecraft 1.17 and onwards uses a newer version of Java compared to previous versions, so it may be necessary to change the Java version to start your Minecraft server.

Older versions of Minecraft can also benefit from using a newer version of Java, see the table below on the compatibility between Minecraft versions and Java.

Minecraft Version Java Version
1.11 and older Java 8
1.12 - 1.13 Java 8 or Java 11
1.14 - 1.16 Java 8, Java 11, Java 14, Java 15
1.17 Java 16
1.18 and newer Java 17

Changing Java versions

To change the Java version on your Minecraft instance firstly click on your instance to bring up the console page then click on Settings > System.


You should now see an option called JRE (Java Runtime Environment).

Click on the dropdown below the JRE text then select the appropriate version for the Minecraft version you are running.
Note: The table above is in regards to Vanilla Minecraft, modded servers may not be compatible with all the java versions listed for that Minecraft version.


Revision #4
Created 18 August 2021 23:26:26 by Gareth W
Updated 2 December 2023 01:06:51 by Gareth W